Last Comment Bug 683007 - Empty window created in Windows taskbar after plug display:none
: Empty window created in Windows taskbar after plug display:none
Status: RESOLVED FIXED
: regression, testcase
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Windows 7
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 90268
  Show dependency treegraph
 
Reported: 2011-08-29 15:36 PDT by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2011-11-17 13:43 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (242 bytes, text/html)
2011-08-29 15:36 PDT, Martijn Wargers [:mwargers] (not working for Mozilla)
no flags Details
on-again off-again test case (436 bytes, text/html)
2011-09-06 08:38 PDT, Jim Mathies [:jimm]
no flags Details
patch (873 bytes, patch)
2011-09-06 08:40 PDT, Jim Mathies [:jimm]
no flags Details | Diff | Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2011-08-29 15:36:53 PDT
Created attachment 556692 [details]
testcase

See testcase, with that, I get an extra taskbar entry in the Windows taskbar, with no title in there. So I guess that's from the plugin window.
Comment 1 Jim Mathies [:jimm] 2011-09-06 08:38:08 PDT
Created attachment 558485 [details]
on-again off-again test case
Comment 2 Jim Mathies [:jimm] 2011-09-06 08:40:00 PDT
Created attachment 558487 [details] [diff] [review]
patch

On Windows, SetParent(nsnull) strips the child attribute and sets the parent to the desktop. To avoid it showing up on the taskbar you also need to hide the window.
Comment 3 Josh Aas 2011-11-17 13:43:12 PST
Fixed by backout.

Note You need to log in before you can comment on or make changes to this bug.